Configure custom domain
Roles
Analytics Events
/v1/config/domainCreates a custom domain configuration on your tenant. You can configure a custom domain for a specific MATTR VII tenant to represent your brand and instil trust with your end-users. Any MATTR VII tenant can only have one custom domain. Refer to our docs for more information.
Analytic events
- CONFIG_CUSTOM_DOMAIN_CREATE_START
- CONFIG_CUSTOM_DOMAIN_CREATE_SUCCESS
- CONFIG_CUSTOM_DOMAIN_CREATE_FAIL
Authorization
bearerAuth In: header
The custom domain payload
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
curl -X POST "https://example.com/v1/config/domain" \ -H "Content-Type: application/json" \ -d '{ "name": "Example Corp", "logoUrl": "https://cdn.example.com/logo.jpg", "domain": "example.com" }'{ "name": "Example Corp", "logoUrl": "https://cdn.example.com/logo.jpg", "domain": "example.com", "verificationToken": "8c6f36c1-91ff-439d-a518-48cf7ef421ef", "isVerified": false}How would you rate this page?
Create API Auth Token POST
Authorization endpoint for gaining token used for API requests requiring `bearerAuth`. You will be provided the required `client_id` and `client_secret` as part of onboarding. <Callout> The returned bearer token will only enable access to endpoints as per your client's defined role. Refer to [Access Control](https://learn.mattr.global/docs/platform-management/access-control) for more information. </Callout>
Retrieve custom domain GET
Returns your tenant's custom domain configuration and its verification status. ### **Analytic events** * CONFIG_CUSTOM_DOMAIN_RETRIEVE_START * CONFIG_CUSTOM_DOMAIN_RETRIEVE_SUCCESS * CONFIG_CUSTOM_DOMAIN_RETRIEVE_FAIL